# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.sidewiki
Enum SidewikiEntryQuery.SortOrder

    java.lang.Object
      java.lang.Enum<SidewikiEntryQuery.SortOrder>
          com.google.gdata.client.sidewiki.SidewikiEntryQuery.SortOrder

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SidewikiEntryQuery.SortOrder>

Enclosing class:
  SidewikiEntryQuery

    public static enum SidewikiEntryQuery.SortOrder

extends java.lang.Enum<SidewikiEntryQuery.SortOrder>

Order in which to sort entries.

Enum Constant Summary
`PUBLISHED` Orders by entry creation date.
`QUALITY` Orders by entry quality.
`UPDATED` Orders by entry last modification date.

Method Summary
`java.lang.String` `toValue()` Returns the value used in the URL.
`static SidewikiEntryQuery.SortOrder` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SidewikiEntryQuery.SortOrder[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PUBLISHED

    public static final SidewikiEntryQuery.SortOrder PUBLISHED

  Orders by entry creation date.

### QUALITY

    public static final SidewikiEntryQuery.SortOrder QUALITY

  Orders by entry quality.

### UPDATED

    public static final SidewikiEntryQuery.SortOrder UPDATED

  Orders by entry last modification date.

Method Detail

### values

    public static SidewikiEntryQuery.SortOrder[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SidewikiEntryQuery.SortOrder c : SidewikiEntryQuery.SortOrder.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SidewikiEntryQuery.SortOrder valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toValue

    public java.lang.String toValue()

  Returns the value used in the URL.

  Returns:
    value used in the URL.